#include<iostream>
#include<cstdio>
#include<cmath>
#include<ctime>
#include<algorithm>
#include<vector> 
#include<cstring>
#include<string>
#include<map>
#define mp make_pair
#define scn second
#define frs first
#define pb push_back

#define NAME "suffixgame"

using namespace std;
typedef unsigned long long ull;
typedef long long ll;
typedef pair<int, int> pi;

int n;

int main(){
    freopen(NAME ".in", "r", stdin); 
    freopen(NAME ".out", "w", stdout); 
    scanf("%d", &n);
    ll sum = 0;
    int now = 0;
    for (int i = 0; i < n; ++i) {
        int a;
        scanf("%d", &a);
        sum += (a - now - 1);
        now = a;    
    }   
    printf("%s", sum % 2 == 1 ? "First" : "Second");
    return 0;
}




